Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


¿Cómo puedo actualizar mi ADT en Eclipse?

He intentado actualizar mi Eclipse. Actualmente tengo hasta 2,2 Android SDK en mi Eclipse. Ayer he actualizado mi Eclipse de esta manera:

Eclipse -> ventana -> Android SDK Manager -> He marcado dos check-boxes de la lista. Herramientas -> Android SDK Tools y Android SDK Platform Tools.

He publicado aquí algunas últimas líneas del mensaje que obtengo de descargar e instalar:

Preparación para la instalación de archivos
Descargar Android SDK Platform-tools, revisión 12
Instalación de la plataforma Android SDK-tools, revisión 12
Se ha detenido el servidor ADB con éxito.
Plataforma SDK para Android instalada, revisión 12
Descarga de herramientas para Android SDK, revisión 20
Instalación de herramientas SDK de Android, revisión 20
[Post_tools_install.bat] Actualización de SDK Manager.exe
[Post_tools_install.bat] 1 archivo (s) copiado (s).
[Post_tools_install.bat] Actualización de AVD Manager.exe
[Post_tools_install.bat] 1 archivo (s) copiado (s).
Herramientas instaladas de Android SDK, revisión 20
Se ha detenido el servidor ADB con éxito.
El inicio del servidor ADB tuvo éxito.
Hecho. 2 paquetes instalados.
Obteniendo URL: https://dl-ssl.google.com/android/repository/addon.xml
No se pudo obtener la URL https://dl-ssl.google.com/android/repository/addon.xml , razón: dl-ssl.google.com
Buscando URL: http://software.intel.com/sites/landingpage/android/addon.xml
No se pudo obtener la URL http://software.intel.com/sites/landingpage/android/addon.xml , razón: software.intel.com
Carga de paquetes lista.

Pero después de todo esto después de haber cerrado Eclipse y de nuevo quería empezar, lanzar el error:

Este SDK para Android requiere Android Developer Toolkit versión 20.0.0 o superior. La versión actual es 16.0.0.v201203301601-306762. Actualice ADT a la última versión.

En las preferencias recibí este error:

Este SDK de Android requiere Android Develop … Por favor, actualice ADT a la última versión.

  • Gradle 4.0 No se puede encontrar una configuración coincidente
  • Diferencia entre vista y widget
  • Android Studio vs Eclipse IDE
  • Diferencias entre IntelliJ IDEA 13 y Android Studio
  • Linterna LED no funciona en Samsung Galaxy Nexus
  • Android NDK R8E falta stdlib.h
  • ¿Cómo reinicio las tablas de clasificación de Google Play Games antes de publicarlas?
  • ¿Cuál es la ventaja de apklib de la jarra?
  • 8 Solutions collect form web for “¿Cómo puedo actualizar mi ADT en Eclipse?”

    Ha actualizado el sdk de Android pero no ha actualizado el adt para que coincida con él.

    Puede actualizar el adt desde aquí

    Es posible que deba actualizar la fuente de software para su actualización de adt

    Vaya a eclipse> help> Buscar actualizaciones.

    Debe listar la última actualización de adt. Si no está funcionando, prueba esto

    Ir a eclipse> help> Instalar nuevo software

    Haga clic en Agregar

    Agregue esta url: https://dl-ssl.google.com/android/eclipse/

    Darle cualquier nombre.

    Se enumerarán las actualizaciones disponibles, que idealmente debería ser adt 20.xx

    Eclipse se reiniciará y esperamos que todo funcione bien para usted.

    Tuve este problema. Ya que ya tenía la dirección ADT no podía seguir la corrección sugerida. La razón por la que la actualización no funcionaba en mi caso es que la dirección ADT no estaba marcada en la lista de "Actualizaciones disponibles".

    1) Ir a eclipse> help> Instalar nuevo software

    2) Haga clic en "Sitio de software disponible"

    3) Compruebe que tiene la dirección ADT

    4) Si no añadirlo siguiendo los pasos de Murtuza Kabul

    5) en caso afirmativo, compruebe que la dirección está marcada (casilla a la izquierda de la dirección)

    Ejecuto la actualización después de haber lanzado Eclipse como administrador para estar seguro de que no iba a tener problemas para acceder a las carpetas del sistema

    Si https://dl-ssl.google.com/android/eclipse/ no funciona para usted, intente utilizar http://dl-ssl.google.com/android/eclipse/ .

    El enlace sin https funcionó para mí.

    Asegúrate de haber lanzado eclipse como administrador

    He visto la documentación de Eclipse ADT y he encontrado la manera de solucionar este problema. Pude actualizar mi herramienta SDK a 22.0.4 (última versión).

    La solución es : Actualizar ADT a 22.0.4 y luego actualizar SDK Tool a 22.0.4

    El enlace anterior dice,

    ADT 22.0.4 está diseñado para su uso con SDK Tools r22.0.4 . Si aún no ha instalado SDK Tools r22.0.4 en su SDK, utilice el SDK Manager de Android para hacerlo

    Lo que tenía que hacer era actualizar mi ADT a 22.0.4 (última versión) y luego pude actualizar la herramienta SDK a 22.0.4 . Pensé que sólo la herramienta de SDK se ha actualizado no ADT, por lo que estaba actualizando la herramienta SDK con la versión más antigua ADT (22.0.1).

    Cómo actualizar su ADT a la última versión

    1. En Eclipse, vaya a Help

    2. Install New Software —> Add

    3. Dentro de Añadir Repositorio escriba el Nombre: ADT (o lo que quieras)

    4. Ubicación: https://dl-ssl.google.com/android/eclipse/

    5. Después de cargar debe obtener Developer Tools y NDK Plugins

    6. Compruebe si desea utilizar el Native Developer Kit (NDK) en el futuro o compruebe

    7. Solo herramienta de desarrollo

    8. haga clic en Siguiente

    9. Terminar

    En mi caso abriendo 'Ayuda' >> "Instalar Nuevo Software" no tenía entradas para ninguna URL (las url anteriores no estaban allí) – así que las agregé manualmente. Y actualizado … y Voilaaaa !! Los mensajes anteriores han sido muy útiles para resolver este problema para mí.

    Correr como administrador luego de otros comentarios arregló el problema para mí 🙂

    Razón de ello es con la nueva actualización, cambiaron la URL del sitio de actualización de Android Developer Tools para que requiriera HTTPS. Si está actualizando ADT, asegúrese de utilizar HTTPS en la URL del sitio de actualización de las Herramientas para desarrolladores de Android.

    Tuve el mismo problema donde no hay archivos en archivos Java generados, BuildConfig y R.Java faltaban. La opción de generación automática no genera.
    En Eclipse bajo Proyecto, desactive la opción Crear automáticamente. A continuación, en Proyecto, seleccione Construir proyecto. Puede que necesite arreglar el proyec

    FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.